package com.cool.store.dao;

import com.cool.store.entity.StoreDO;
import com.cool.store.mapper.StoreMapper;
import com.google.common.collect.Lists;
import org.apache.commons.collections4.CollectionUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

@Repository
public class StoreDao {

    @Resource
    private StoreMapper storeMapper;
    /**
     * 根据门店id查询门店
     * @param storeId
     * @return
     */
    public StoreDO getByStoreId(String storeId) {
        if(StringUtils.isBlank(storeId)) {
            return null;
        }
        return storeMapper.getByStoreId(storeId);
    }

    public List<StoreDO> getEffectiveStoreByStoreIds(List<String> storeIdList) {
        if(CollectionUtils.isEmpty(storeIdList)) {
            return Lists.newArrayList();
        }
        return storeMapper.getEffectiveStoreByStoreIds(storeIdList);
    }

    public List<StoreDO> listStoreByRegionId(String regionId) {
        if(StringUtils.isBlank(regionId)) {
            return Lists.newArrayList();
        }
        return storeMapper.listStoreByRegionId(regionId);
    }

    public List<String> getStoreNumByStoreIds(List<String> storeIdList) {
        if(CollectionUtils.isEmpty(storeIdList)) {
            return Lists.newArrayList();
        }
        return storeMapper.getStoreNumByStoreIds(storeIdList);
    }

    public StoreDO getByStoreNum(String storeNum) {
        if(StringUtils.isBlank(storeNum)) {
            return null;
        }
        return storeMapper.getByStoreNum(storeNum);
    }



}
